javax.ejb

## Class ConcurrentAccessException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.ejb.EJBException
        - - javax.ejb.ConcurrentAccessException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ConcurrentAccessTimeoutException, IllegalLoopbackException

      public class ConcurrentAccessException
      extends EJBException

  A ConcurrentAccessException indicates that the client has attempted an invocation on a stateful session bean or singleton bean while another invocation is in progress and such concurrent access is not allowed.
  Since:
    EJB 3.1
  See Also:
    `AccessTimeout`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConcurrentAccessException()` Constructs an ConcurrentAccessException with no detail message.
    `ConcurrentAccessException(String message)` Constructs an ConcurrentAccessException with the specified detailed message.
    `ConcurrentAccessException(String message, Exception ex)` Constructs an ConcurrentAccessException with the specified detail message and a nested exception.

  - ### Method Summary

    - ### Methods inherited from class javax.ejb.EJBException

      `getCausedByException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConcurrentAccessException

          public ConcurrentAccessException()

      Constructs an ConcurrentAccessException with no detail message.

    - #### ConcurrentAccessException

          public ConcurrentAccessException(String message)

      Constructs an ConcurrentAccessException with the specified detailed message.

    - #### ConcurrentAccessException

          public ConcurrentAccessException(String message,
                                   Exception ex)

      Constructs an ConcurrentAccessException with the specified detail message and a nested exception.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.